﻿Imports Infragistics.Controls.Schedules
Imports System.Collections.ObjectModel
Imports Infragistics.Controls.Schedules.Primitives
Imports Infragistics.Windows.Ribbon
Imports Infragistics.Controls



Partial Public Class MainWindow
    Inherits Window
    Public Sub New()


    End Sub

    Private Sub dataManager_ActivityDialogDisplaying(sender As Object, e As ActivityDialogDisplayingEventArgs)
        e.Activity.ReminderEnabled = False
    End Sub


    Private Sub schedView_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs)

        Dim resources As New ObservableCollection(Of Resource)()
        Dim resAmanda As New Resource() With { _
             .Id = "own1", _
          .Name = "Amanda" _
        }
        resources.Add(resAmanda)
        Dim resJoe As New Resource() With { _
          .Id = "own2", _
          .Name = "Joe" _
        }
        resources.Add(resJoe)

        Dim calendars As New ObservableCollection(Of ResourceCalendar)()
        Dim calAmanda As New ResourceCalendar() With { _
          .Id = "cal1", _
          .OwningResourceId = "own1" _
        }

        dataManager.CurrentUserId = calAmanda.OwningResourceId

        calendars.Add(calAmanda)




        Dim appointments As New ObservableCollection(Of Appointment)()
        ' Convert the date to universal time, because a time zone is not set
        ' in this snippet    



        Dim app1 As New Appointment() With { _
          .Id = "t1", _
          .OwningResourceId = "own1", _
          .OwningCalendarId = "cal1", _
          .Subject = "A: Appointment 1 - Category1", _
          .Description = "Amanda's first appointment- Activity 1 Category", _
          .Start = DateTime.Today.AddHours(9).AddMinutes(25).ToUniversalTime(), _
          .[End] = DateTime.Today.AddHours(10).AddMinutes(42).ToUniversalTime(), _
          .Categories = "Category1", _
          .Reminder = New Reminder() With { _
           .Text = "Appointment 1 Reminder" _
         }, _
          .ReminderEnabled = False, _
          .ReminderInterval = New TimeSpan(0, 15, 0) _
        }
        appointments.Add(app1)
        ' Convert the date to universal time, because a time zone is not set
        ' in this snippet    

        Dim app2 As New Appointment() With { _
          .Id = "t2", _
          .OwningResourceId = "own1", _
          .OwningCalendarId = "cal1", _
          .Subject = "A: Appointment 2", _
          .Description = "Amanda's second appointment ", _
          .Start = DateTime.Today.AddHours(10).AddMinutes(12).ToUniversalTime(), _
          .[End] = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime(), _
          .Reminder = New Reminder() With { _
           .Text = "Appointment 2 Reminder" _
         }, _
          .ReminderEnabled = False, _
          .ReminderInterval = New TimeSpan(1, 30, 0) _
        }

        appointments.Add(app2)


        Dim activityCategories As New ActivityCategoryCollection()

        Dim actCat1 As New ActivityCategory() With { _
          .CategoryName = "Category1", _
          .Description = "First type of Activity", _
          .Color = Colors.Red _
        }

        activityCategories.Add(actCat1)

        Dim actCat2 As New ActivityCategory() With { _
          .CategoryName = "Category2", _
          .Description = "Second type of Activity", _
          .Color = Colors.Yellow _
        }

        activityCategories.Add(actCat2)

        dataConnector.ResourceItemsSource = resources
        dataConnector.ResourceCalendarItemsSource = calendars
        dataConnector.AppointmentItemsSource = appointments



        dataConnector.ActivityCategoryItemsSource = activityCategories
    End Sub
End Class

Public Class MyDialogFactory
    Inherits Infragistics.Controls.Schedules.ScheduleDialogFactoryBase
    Public Overrides ReadOnly Property SupportedActivityDialogTypes() As ActivityTypes
        Get
            Return ActivityTypes.All
        End Get
    End Property

    Public Overrides Function CreateActivityDialog(container As FrameworkElement, dataManager As Infragistics.Controls.Schedules.XamScheduleDataManager, activity As Infragistics.Controls.Schedules.ActivityBase, allowModifications As Boolean, allowRemove As Boolean) As FrameworkElement
        Dim fe As FrameworkElement = Nothing
        Dim ribbonLite As ActivityDialogRibbonLite

        Select Case activity.ActivityType
            Case ActivityType.Appointment
                If True Then
                    fe = New AppointmentDialogCore(container, dataManager, TryCast(activity, Appointment))
                    ribbonLite = New ActivityDialogRibbonLite(dataManager.ColorSchemeResolved, True, True, True)
                    Exit Select
                End If
            Case ActivityType.Journal
                If True Then
                    fe = New JournalDialogCore(container, dataManager, TryCast(activity, Journal))
                    ribbonLite = New ActivityDialogRibbonLite(dataManager.ColorSchemeResolved, True, False, False)
                    Exit Select
                End If
            Case ActivityType.Task
                If True Then
                    fe = New TaskDialogCore(container, dataManager, TryCast(activity, Task))
                    ribbonLite = New ActivityDialogRibbonLite(dataManager.ColorSchemeResolved, True, False, False)
                    Exit Select
                End If
            Case Else
                ' Return null for unsupported activity types.
                Return Nothing
        End Select

        'Load our custom style for ActivityDialogRibbonLite.
        'Dim rd As New ResourceDictionary()
        'rd.Source = New Uri("pack://application:,,,/RibbonStyle.xaml")
        'fe.Resources.MergedDictionaries.Add(rd)

        ribbonLite.HorizontalAlignment = System.Windows.HorizontalAlignment.Stretch
        ribbonLite.Margin = New Thickness(4)
        ribbonLite.DataContext = fe
        DirectCast(fe, ActivityDialogCore).IsActivityModifiable = allowModifications
        DirectCast(fe, ActivityDialogCore).NavigationControlSiteContent = ribbonLite
        DirectCast(fe, ActivityDialogCore).IsActivityRemoveable = allowRemove

        Return fe
      

    End Function
End Class
